Making glchess work

I am using Fedora 7. To begin with, glchess used to work fine for me. Then suddenly it stopped working. It was giving a strange error. After googling a bit, I realised that it stopped working because I upgraded my Python from 2.0 to 2.5. Lucky for me though, I had python2 in my /usr/bin. So, this is the fix: I opened /usr/bin/glchess, and changed the header to

! /usr/bin/python2

And voila, it started working again!

The moral of the story is, glchess does not work with Python 2.5. It needs Python 2.

Leave a Reply

Your email address will not be published. Required fields are marked *